This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1293582 - Project explorer: buttons get covered by other UI elements
Project explorer: buttons get covered by other UI elements
Status: NEW
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: manstis
Lukáš Petrovický
: UserExperience
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-22 04:27 EST by Zuzana Krejčová
Modified: 2016-07-31 21:20 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot 1 - product (15.99 KB, image/png)
2015-12-22 04:27 EST, Zuzana Krejčová
no flags Details
screenshot 2 - product (12.24 KB, image/png)
2015-12-22 04:27 EST, Zuzana Krejčová
no flags Details
screenshot 3 - community (18.28 KB, image/png)
2015-12-22 04:28 EST, Zuzana Krejčová
no flags Details
Unnecessary scroll bar and overlapped buttons (2.43 MB, application/ogg)
2016-02-09 11:35 EST, Kirill Gaevskii
no flags Details

  None (edit)
Description Zuzana Krejčová 2015-12-22 04:27:31 EST
Created attachment 1108594 [details]
screenshot 1 - product

Description of problem:
UX bug. See screenshots.

If the org. unit, repository and project names require more space than the project explorer has, some elements get covered by others. If the difference is very small, only the button to expand/collapse package navigation is covered - it slides behind the project selector element. If the difference is bigger, some of the project/repository selectors might not be visible at all.

This should be solved the same way the "Refresh" and "Customize view" buttons of project explorer are done - as is visible in one of the screenshots, they slide below the panel title and push the content below a bit down.

This issue is even more obvious in current comunity snapshot, where the project/repository/org. unit selectors take more space, so with the default project explorer width, users hit this almost all the time.
Comment 1 Zuzana Krejčová 2015-12-22 04:27 EST
Created attachment 1108595 [details]
screenshot 2 - product
Comment 2 Zuzana Krejčová 2015-12-22 04:28 EST
Created attachment 1108596 [details]
screenshot 3 - community
Comment 3 Kirill Gaevskii 2016-02-09 11:34:48 EST
Still valid on 6.3.0 DR1 and 6.4. SNAPSHOT. Also Project Explorer have unnecessary scroll bar until you try to re-size it. See Attachment.
Comment 4 Kirill Gaevskii 2016-02-09 11:35 EST
Created attachment 1122450 [details]
Unnecessary scroll bar and overlapped buttons

Note You need to log in before you can comment on or make changes to this bug.